<div fxLayout="column" fxLayoutAlign=" none">

  <mat-card appearance="outlined" class="card-item-blueish">
    <div class="search-form">
      <form class="">
        <mat-card-title>
          <h3>Sök annonser från 2016 och framåt <span (click)="tooltipSearchHistorical.toggle()"
                                                      class="info-circle"
                                                      aria-label="Läs mer om historiska">
                      <fa-icon [icon]="faInfoCircle"></fa-icon>
                    </span>
            <span class="info-bubble-text"
                  #tooltipSearchHistorical="matTooltip"
                  matTooltip="Det kan finnas datumintervall som inte ger sökträffar, exempelvis historiska annonser som nyligen blivit avpublicerade."
                  matTooltipPosition="right" matTooltipClass="wide-tooltip"></span></h3>
        </mat-card-title>
        <mat-card-content>
          <div fxLayout="row" class="search-fields-row" fxLayout.lt-md="column" fxLayoutGap.gt-md="20px"
               fxLayoutAlign="start stretch">

            <mat-form-field appearance="outline" fxFlex="30">
              <mat-label>Fritextsök</mat-label>
              <input matInput placeholder="" [matAutocomplete]="auto3"
                     [formControl]="freeTextSearchCtrl"
                     id="freeTextSearchInput">
              <mat-icon matIconSuffix>search</mat-icon>
              <mat-autocomplete #auto3="matAutocomplete" panelWidth="30%" [displayWith]="displayFnFreeText">
                <mat-option
                  *ngFor="let freetextTypeahead of (freeTextSearchTypeahead | async)"
                  [value]="freetextTypeahead"
                >
                  <span>{{ freetextTypeahead.value }}</span>
                </mat-option>
              </mat-autocomplete>
            </mat-form-field>


            <button mat-raised-button class="search-button btn-primary-education" fxFlex="15"
                    (click)="search(0, defaultPageSize)">Sök
            </button>
            <mat-form-field appearance="outline">
              <mat-label>Sortera efter</mat-label>
              <mat-select [formControl]="sortByCtrl" placeholder="Välj ett alternativ"
                          (selectionChange)="sortByChanged($event)">
                <mat-option *ngFor="let option of sortByOptions" [value]="option.value">
                  {{ option.viewValue }}
                </mat-option>
              </mat-select>
            </mat-form-field>
          </div>
          <div fxLayout="row" fxLayout.lt-md="column" fxLayoutGap.gt-md="20px" fxLayoutAlign="start center"
               class="label">
            <div>Filter:</div>
          </div>
          <div fxLayout="row" class="search-fields-row" fxLayout.lt-md="column" fxLayoutGap.gt-md="20px"
               fxLayoutAlign="start stretch">
            <mat-form-field appearance="outline">
              <mat-label>Datum från</mat-label>
              <input matInput [matDatepicker]="fromPicker" [formControl]="fromDateCtrl"
                     (dateInput)="fromDateChanged($event)" placeholder="Från">
              <!-- <mat-hint>YYYY-MM-DD</mat-hint> -->
              <mat-datepicker-toggle matSuffix [for]="fromPicker"></mat-datepicker-toggle>
              <mat-datepicker #fromPicker></mat-datepicker>
            </mat-form-field>
            <mat-form-field appearance="outline">
              <mat-label>Datum till</mat-label>
              <input matInput [matDatepicker]="toPicker" [formControl]="toDateCtrl"
                     (dateInput)="toDateChanged($event)" placeholder="Till">
              <!-- <mat-hint>YYYY-MM-DD</mat-hint> -->
              <mat-datepicker-toggle matSuffix [for]="toPicker"></mat-datepicker-toggle>
              <mat-datepicker #toPicker></mat-datepicker>
            </mat-form-field>

            <mat-form-field appearance="outline">
              <mat-label>Kommun</mat-label>
              <input matInput placeholder="" [matAutocomplete]="auto2"
                     [formControl]="locationsCtrl"
                     id="locationInput">
              <mat-icon matPrefix>room</mat-icon>
              <mat-autocomplete #auto2="matAutocomplete" panelWidth="30%" [displayWith]="displayFnLocation"
                                (optionSelected)="selectLocation($event)">
                <mat-option
                  *ngFor="let location of (filteredLocations | async)"
                  [value]="location"
                >
                  <span>{{ location.value }}</span>
                </mat-option>
              </mat-autocomplete>
            </mat-form-field>

            <mat-card appearance="outlined">
              <mat-card-content>
                <div fxLayout="column" fxLayoutAlign="start start">
                  <mat-form-field appearance="outline">
                    <mat-label>Arbetsgivare</mat-label>
                    <input matInput placeholder=""
                           [formControl]="employerCtrl"
                           id="employerInput"
                           autocomplete="off">
                  </mat-form-field>
                  <mat-radio-group [formControl]="employerTypeCtrl" name="employertype"
                                   (change)="employerTypeChanged($event)">
                    <mat-radio-button class="employer-radio-button" value="orgnr">
                      Orgnr
                    </mat-radio-button>
                    <mat-radio-button class="employer-radio-button" value="name">
                      Namn
                    </mat-radio-button>
                  </mat-radio-group>
                </div>
              </mat-card-content>
            </mat-card>
          </div>
          <div *ngIf="!searchAdsService.isLoadingPageResult" fxLayout="row" fxLayout.lt-md="column" fxLayoutGap.gt-md="20px" fxLayoutAlign="start center"
               class="label">
            {{ numberOfHitsText() }}
          </div>
        </mat-card-content>
        <mat-card-actions>
        </mat-card-actions>
      </form>
    </div>
  </mat-card>
</div>
<div fxLayout="column" fxLayoutAlign=" none">

  <div *ngIf="_getSearchedAds().length > 0 && !searchAdsService.isLoadingPageResult">
    <mat-card appearance="outlined" class="card-item">
      <mat-card-content>
        <div fxLayout="row" class="search-fields-row" fxLayout.lt-md="column" fxLayoutGap.gt-md="30px"
             fxLayoutAlign="start stretch">
          <button mat-raised-button class="search-button btn-primary-education"
                  (click)="saveAdsToFile()">Spara sidans annonser
            <mat-icon matPrefix>save_alt</mat-icon>
          </button>
        </div>
      </mat-card-content>
    </mat-card>
  </div>

  <div *ngIf="searchAdsService.isLoadingPageResult"
       class="searchresultspinner-area">
    <mat-spinner class="education-spinner" [diameter]="40" aria-label="Sökning pågår"></mat-spinner>
    Sökning pågår..
  </div>

  <div *ngFor="let ad of _getSearchedAds();let i = index">

    <mat-card appearance="outlined" class="card-item">
      <mat-card-title><h2><a
        routerLink="/annonser/historisk/{{ad.id}}" target="_blank">{{ ad.headline }}</a></h2></mat-card-title>
      <mat-card-content>
        <mat-accordion>
          <mat-expansion-panel class="card-details-item">
            <mat-expansion-panel-header class="card-details-item">
              <mat-panel-title>
                <div *ngIf="ad.employer">
                  {{ ad.employer.name }}
                </div>
              </mat-panel-title>
              <mat-panel-description>
                <div fxLayout="row" class="search-fields-row" fxLayout.lt-md="column" fxLayoutGap.gt-md="30px"
                     fxLayoutAlign="start stretch">
                  <div *ngIf="ad.occupation && ad.occupation.label">
                    <mat-icon>work</mat-icon>&nbsp;{{ ad.occupation.label }}
                  </div>
                  <div *ngIf="ad.workplaceAddress && ad.workplaceAddress.municipality">
                    <mat-icon matPrefix>room</mat-icon>
                    {{ ad.workplaceAddress.municipality }}
                  </div>
                  <div>
                    <mat-icon>date_range</mat-icon>&nbsp;{{ ad.publicationDate }} - {{ ad.lastPublicationDate }}
                  </div>
                </div>
              </mat-panel-description>
            </mat-expansion-panel-header>
            <ng-template matExpansionPanelContent>
              <div *ngIf="ad.workingHoursType">
                Omfattning: {{ ad.workingHoursType.label }}
              </div>
              <div *ngIf="ad.duration">
                Varaktighet: {{ ad.duration.label }}
              </div>
              <div *ngIf="ad.employmentType">
                Anställningsform: {{ ad.employmentType.label }}
              </div>
              <div>
                Antal tjänster: {{ ad.numberOfVacancies }}
              </div>
              <h2>Kvalifikationer</h2>
              <ul>
                <li *ngIf="ad.experienceRequired && ad.experienceRequired == true">Arbetserfarenhet krävs</li>
                <li *ngIf="ad.accessToOwnCar && ad.accessToOwnCar == true">Tillgång till egen bil</li>
                <li *ngIf="ad.drivingLicenseRequired && ad.drivingLicenseRequired == true">Körkort krävs</li>
              </ul>
              <h3>Arbetslivserfarenhet</h3>
              <div *ngIf="ad.niceToHave && ad.niceToHave.workExperiences && ad.niceToHave.workExperiences.length > 0">
                <ul>
                  <div *ngFor="let niceToHaveExperience of ad.niceToHave.workExperiences;let i = index">
                    <li>{{ niceToHaveExperience }} (meriterande)</li>
                  </div>
                </ul>
              </div>
              <div *ngIf="ad.mustHave && ad.mustHave.workExperiences && ad.mustHave.workExperiences.length > 0">
                <ul>
                  <div *ngFor="let mustHaveExperience of ad.mustHave.workExperiences;let i = index">
                    <li>{{ mustHaveExperience }} (krav)</li>
                  </div>
                </ul>
              </div>
              <h3>Utbildning</h3>
              <div *ngIf="ad.niceToHave && ad.niceToHave.education && ad.niceToHave.education.length > 0">
                <ul>
                  <div *ngFor="let niceToHaveEducation of ad.niceToHave.education;let i = index">
                    <li>{{ niceToHaveEducation }} (meriterande)</li>
                  </div>
                </ul>
              </div>
              <div *ngIf="ad.mustHave && ad.mustHave.education && ad.mustHave.education.length > 0">
                <ul>
                  <div *ngFor="let mustHaveEducation of ad.mustHave.education;let i = index">
                    <li>{{ mustHaveEducation }} (krav)</li>
                  </div>
                </ul>
              </div>
              <h3>Kompetenser</h3>
              <div *ngIf="ad.niceToHave && ad.niceToHave.skills && ad.niceToHave.skills.length > 0">
                <ul>
                  <div *ngFor="let niceToHaveSkill of ad.niceToHave.skills;let i = index">
                    <li>{{ niceToHaveSkill }} (meriterande)</li>
                  </div>
                </ul>
              </div>
              <div *ngIf="ad.mustHave && ad.mustHave.skills && ad.mustHave.skills.length > 0">
                <ul>
                  <div *ngFor="let mustHaveSkill of ad.mustHave.skills;let i = index">
                    <li>{{ mustHaveSkill }} (krav)</li>
                  </div>
                </ul>
              </div>
              <h3>Språk</h3>
              <div *ngIf="ad.niceToHave && ad.niceToHave.languages && ad.niceToHave.languages.length > 0">
                <ul>
                  <div *ngFor="let niceToHaveLanguage of ad.niceToHave.languages;let i = index">
                    <li>{{ niceToHaveLanguage }} (meriterande)</li>
                  </div>
                </ul>
              </div>
              <div *ngIf="ad.mustHave && ad.mustHave.languages && ad.mustHave.languages.length > 0">
                <ul>
                  <div *ngFor="let mustHaveLanguage of ad.mustHave.languages;let i = index">
                    <li>{{ mustHaveLanguage }} (krav)</li>
                  </div>
                </ul>
              </div>
              <h2>Om jobbet</h2>
              <div *ngIf="ad.description && ad.description.textFormatted"
                   [innerHTML]="ad.description.textFormatted"></div>
              <div *ngIf="ad.description && !ad.description.textFormatted">{{ ad.description.text }}</div>
              <h2 *ngIf="ad.description && ad.description.companyInformation">{{ ad.description.companyInformation }}>Om
                arbetsgivaren</h2>
              <div *ngIf="ad.description && ad.description.companyInformation">{{ ad.description.companyInformation }}
              </div>
              <h2>Om anställningen</h2>
              <div *ngIf="ad.salaryDescription">{{ ad.salaryDescription }}</div>
              <div *ngIf="ad.salaryType">
                Lönetyp: {{ ad.salaryType.label }}
              </div>
              <h2>Var ligger arbetsplatsen?</h2>
              <div *ngIf="ad.workplaceAddress">
                <div *ngIf="ad.workplaceAddress.streetAddress">
                  <fa-icon [icon]="faLocationDot"></fa-icon>
                  {{ ad.workplaceAddress.streetAddress }}
                </div>
                <div>
                  <span *ngIf="ad.workplaceAddress.postcode">{{ ad.workplaceAddress.postcode }} </span>
                  <span *ngIf="ad.workplaceAddress.city">{{ ad.workplaceAddress.city }}</span>
                </div>
                <div *ngIf="ad.workplaceAddress.municipality">Kommun: {{ ad.workplaceAddress.municipality }}</div>
              </div>
              <h2>Arbetsgivaren</h2>
              <div *ngIf="ad.employer">{{ ad.employer.name }}</div>
              <div *ngIf="ad.employer && ad.employer.url">
                <a href="{{ad.employer.url | linkHttp}}" target="_blank">{{ ad.employer.url }}</a>
              </div>
              <div>Id: {{ ad.id }}</div>
              <div>Annons-id: {{ ad.adId }}</div>
              <div>Publiceringsperiod: {{ ad.publicationDate }} - {{ ad.lastPublicationDate }}</div>
              <div *ngIf="ad.sourceType == 'VIA_ANNONSERA'">Annonskälla: Arbetsförmedlingens annonseringsverktyg</div>
              <div *ngIf="ad.sourceType == 'VIA_PLATSBANKEN_DXA'">Annonskälla: Direktöverförda (DXA)</div>
              <div
                *ngIf="ad.sourceType && (ad.sourceType != 'VIA_ANNONSERA') && (ad.sourceType != 'VIA_PLATSBANKEN_DXA')">
                Annonskälla: {{ ad.sourceType }}
              </div>
            </ng-template>
          </mat-expansion-panel>
        </mat-accordion>
      </mat-card-content>
      <mat-card-actions>
      </mat-card-actions>
      <mat-card-footer *ngIf="searchAdsService.isLoadingPageResult">
        <mat-progress-bar mode="indeterminate"></mat-progress-bar>
      </mat-card-footer>
    </mat-card>
  </div>
  <mat-card appearance="outlined" class="card-item-blueish" *ngIf="_getSearchedAds().length > 0">
    <mat-card-content>
      <mat-paginator [pageSize]="pageSize"
                     [pageIndex]="pageNumber"
                     [pageSizeOptions]="[defaultPageSize, historicalMaxPageSize]"
                     [length]="totalSize"
                     [showFirstLastButtons]=true
                     (page)="paginatedSearch($event)"
                     aria-label="Välj annonssida">
      </mat-paginator>
    </mat-card-content>
    <mat-card-actions>
    </mat-card-actions>
    <mat-card-footer *ngIf="searchAdsService.isLoadingPageResult">
      <mat-progress-bar mode="indeterminate"></mat-progress-bar>
    </mat-card-footer>
  </mat-card> 
</div>
